| DocBook: The Definitive Guide 2.0.17 (Alpha)

# th

th — A table header entry in an HTML table

## Synopsis

### Mixed Content Model

    th ::=
    (#PCDATA|footnoteref|xref|biblioref|abbrev|acronym|citation|
     citerefentry|citetitle|citebiblioid|emphasis|firstterm|
     foreignphrase|glossterm|termdef|footnote|phrase|orgname|quote|
     trademark|wordasword|personname|link|olink|ulink|action|
     application|classname|methodname|interfacename|exceptionname|
     ooclass|oointerface|ooexception|package|command|computeroutput|
     database|email|envar|errorcode|errorname|errortype|errortext|
     filename|function|guibutton|guiicon|guilabel|guimenu|guimenuitem|
     guisubmenu|hardware|interface|keycap|keycode|keycombo|keysym|
     literal|code|constant|markup|medialabel|menuchoice|mousebutton|
     option|optional|parameter|prompt|property|replaceable|
     returnvalue|sgmltag|structfield|structname|symbol|systemitem|uri|
     token|type|userinput|varname|nonterminal|anchor|author|
     authorinitials|corpauthor|corpcredit|modespec|othercredit|
     productname|productnumber|revhistory|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject|inlineequation|
     synopsis|cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
     constructorsynopsis|destructorsynopsis|methodsynopsis|indexterm|
     beginpage|calloutlist|glosslist|bibliolist|itemizedlist|
     orderedlist|segmentedlist|simplelist|variablelist|caution|
     important|note|tip|warning|literallayout|programlisting|
     programlistingco|screen|screenco|screenshot|formalpara|para|
     simpara|graphic|mediaobject|table|informaltable)*

### Attributes

Name | Type | Default
arch | CDATA | None
ondblclick | CDATA | None
axis | CDATA | None
os | CDATA | None
abbr | CDATA | None
onkeydown | CDATA | None
onkeyup | CDATA | None
userlevel | CDATA | None
onmouseup | CDATA | None
id | ID | None
wordsize | CDATA | None

scope

Enumeration:
col
colgroup
row
rowgroup

None

onmouseover | CDATA | None

align

Enumeration:
center
char
justify
left
right

None

lang | CDATA | None
xreflabel | CDATA | None

valign

Enumeration:
baseline
bottom
middle
top

None

xml:base | CDATA | None
revision | CDATA | None
onkeypress | CDATA | None
onmousedown | CDATA | None
security | CDATA | None
onclick | CDATA | None
title | CDATA | None
class | CDATA | None
width | CDATA | None
conformance | NMTOKENS | None
headers | IDREFS | None

nowrap

Enumeration:
nowrap

None

dir

Enumeration:
lro
ltr
rlo
rtl

None

bgcolor | CDATA | None
colspan | CDATA | "1"
rowspan | CDATA | "1"
charoff | CDATA | None
remap | CDATA | None
style | CDATA | None
onmousemove | CDATA | None
onmouseout | CDATA | None
height | CDATA | None
xml:lang | NMTOKEN | None
char | CDATA | None

revisionflag

Enumeration:
added
changed
deleted
off

None

vendor | CDATA | None
condition | CDATA | None

## Description

Identifies a “head” entry in an HTML table.

### Processing expectations

Processed like an HTML `th`.

### Parents

These elements contain th: `tr`.

### Children

The following elements occur in th: `abbrev`, `acronym`, `action`, `anchor`, `application`, `author`, `authorinitials`, `beginpage`, `bibliolist`, `biblioref`, `calloutlist`, `caution`, `citation`, `citebiblioid`, `citerefentry`, `citetitle`, `classname`, `classsynopsis`, `cmdsynopsis`, `code`, `command`, `computeroutput`, `constant`, `constructorsynopsis`, `corpauthor`, `corpcredit`, `database`, `destructorsynopsis`, `email`, `emphasis`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `fieldsynopsis`, `filename`, `firstterm`, `footnote`, `footnoteref`, `foreignphrase`, `formalpara`, `funcsynopsis`, `function`, `glosslist`, `glossterm`, `graphic`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `important`, `indexterm`, `informaltable`, `inlineequation`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `itemizedlist`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `literallayout`, `markup`, `medialabel`, `mediaobject`, `menuchoice`, `methodname`, `methodsynopsis`, `modespec`, `mousebutton`, `nonterminal`, `note`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `orderedlist`, `orgname`, `othercredit`, `package`, `para`, `parameter`, `personname`, `phrase`, `productname`, `productnumber`, `programlisting`, `programlistingco`, `prompt`, `property`, `quote`, `remark`, `replaceable`, `returnvalue`, `revhistory`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `sgmltag`, `simpara`, `simplelist`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `synopsis`, `systemitem`, `table`, `termdef`, `tip`, `token`, `trademark`, `type`, `ulink`, `uri`, `userinput`, `variablelist`, `varname`, `warning`, `wordasword`, `xref`.

## Attributes

FIXME: common HTML attributes...

abbr

  FIXME:

align

  FIXME:

axis

  FIXME:

bgcolor

  FIXME:

char

  FIXME:

charoff

  FIXME:

colspan

  FIXME:

headers

  FIXME:

height

  FIXME:

nowrap

  FIXME:

rowspan

  FIXME:

scope

  FIXME:

style

  FIXME:

title

  FIXME:

valign

  FIXME:

width

  FIXME:

tgroup |  | thead

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.